# pancakes' wayland screenshot script
# takes screenshots, saves them, copies to clipboard, and notifies you
# depends on grim, libnotify, slurp, and wl-copy

set -e

if [ -z $2 ]; then
    echo "Usage: $0 path full|region [notify=true|false]"
    exit
fi

FILENAME="$1/$(date +%F_%H-%M-%S)_$2.png"

if [ $2 = "full" ]; then
    # capture full screen screenshot with cursor
    grim -c $FILENAME
elif [ $2 = "region" ]; then
    # capture screenshot of slurped region
    grim -g "$(slurp)" $FILENAME
else
    echo "Mode must be either full or region"
    exit
fi

NOTIFY=$3
if [ ${NOTIFY:=false} = true ]; then
    notify-send "Screenshot captured" "$FILENAME"
fi

# copy screenshot to clipboard
wl-copy < $FILENAME
